<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <com.gh.gamecenter.gamecollection.detail.GameCollectionVideoView
            android:id="@+id/player"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="h,180:101"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_game_collection_video_item"
        android:paddingTop="16dp"
        android:paddingBottom="16dp">

        <TextView
            android:id="@+id/nameTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="17dp"
            android:layout_marginRight="29dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="2dp"
            android:maxLines="2"
            android:textColor="@color/text_title"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/tagIv"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="MOBA 手游集合，绝不氪金 5V5 公平对战" />

        <ImageView
            android:id="@+id/tagIv"
            android:layout_width="56dp"
            android:layout_height="22dp"
            android:layout_marginRight="16dp"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/nameTv"
            tools:src="@drawable/ic_official_big" />

        <LinearLayout
            android:id="@+id/videoItemDesContainer"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:orientation="vertical"
            app:layout_constrainedWidth="true"
            app:layout_constraintLeft_toLeftOf="@+id/nameTv"
            app:layout_constraintRight_toRightOf="@+id/nameTv"
            app:layout_constraintTop_toBottomOf="@+id/nameTv">

            <TextView
                android:id="@+id/videoItemDesTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawablePadding="4dp"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp"
                app:drawableEndCompat="@drawable/ic_game_collection_jump_dark"
                app:drawableStartCompat="@drawable/ic_game_collection_des_gray"
                tools:text="眼花缭乱的众多游戏～" />

            <TextView
                android:id="@+id/videoActivityLabelTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_game_collection_detail_video_activity"
                android:drawablePadding="2dp"
                android:paddingStart="8dp"
                android:paddingTop="5dp"
                android:paddingEnd="8dp"
                android:paddingBottom="5dp"
                android:singleLine="true"
                android:textColor="@color/game_collection_activity"
                android:textSize="@dimen/tag_text_size"
                android:visibility="gone"
                app:drawableStartCompat="@drawable/ic_game_collection_activity"
                app:layout_constraintStart_toStartOf="@+id/imageItemDesContainer"
                app:layout_constraintTop_toBottomOf="@+id/imageItemDesContainer"
                tools:text="第四期新星up主计划" />

        </LinearLayout>

        <com.gh.gamecenter.common.view.AvatarBorderView
            android:id="@+id/userIcon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            app:avatar_width="24dp"
            app:badge_width="8dp"
            app:border_ratio="1"
            app:border_width="0dp"
            app:layout_constraintLeft_toLeftOf="@+id/nameTv"
            app:layout_constraintTop_toBottomOf="@+id/videoItemDesContainer"
            tools:layout_height="24dp"
            tools:layout_width="24dp" />

        <LinearLayout
            android:id="@+id/userInfo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:gravity="center_vertical"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@+id/userIcon"
            app:layout_constraintStart_toEndOf="@+id/userIcon"
            app:layout_constraintTop_toTopOf="@+id/userIcon">

            <TextView
                android:id="@+id/userNameTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/text_subtitle"
                android:textSize="12sp"
                tools:text="测试用户名" />

            <TextView
                android:id="@+id/ipRegionTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="@dimen/tag_text_size"
                android:visibility="gone"
                tools:text="IP属地：广东"
                tools:visibility="visible" />
        </LinearLayout>


        <TextView
            android:id="@+id/videoItemFollowTv"
            android:layout_width="48dp"
            android:layout_height="24dp"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="16dp"
            android:background="@drawable/button_round_2496ff_alpha_8"
            android:gravity="center"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:text="关注"
            android:textColor="@color/theme_font"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/userIcon"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/userIcon"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/videoItemFollowedTv"
            android:layout_width="60dp"
            android:layout_height="24dp"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="16dp"
            android:background="@drawable/button_round_black_alpha_5"
            android:gravity="center"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:text="已关注"
            android:textColor="@color/black_alpha_20"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/userIcon"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/userIcon" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>